Update LibraryParameterDefinition
Update a library parameter definition.
Updatable fields
Archiving
To archive, set all three fields together:
archived:truearchiveReason: a non-empty string explaining whyarchiveUserId: the ID of the user performing the archive (format:ent_XXXXXXXX)
To unarchive, set archived to false.
Immutable fields
The following fields are set at creation and cannot be changed via update:
dataTypeunitTypeId
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
library_parameter_definition_id
ID of the LibraryParameterDefinition.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
description
Updated description. Maximum 2048 characters.
name
Updated display name. Must contain at least one alphanumeric character. Maximum 44 characters.
Response
OK
__typename
archiveReason
archived
createdAt
creator
dataType
description
id
modifiedAt
name
unitType
Errors
400
Library Parameter Definition Update Request Bad Request Error
403
Library Parameter Definition Update Request Forbidden Error
404
Library Parameter Definition Update Request Not Found Error
409
Library Parameter Definition Update Request Conflict Error
429
Library Parameter Definition Update Request Too Many Requests Error
500
Library Parameter Definition Update Request Internal Server Error